Page MenuHomePhabricator

ElasticaErrorHandler.php: Object of class Elastica\Response could not be converted to string
Closed, ResolvedPublic

Description

Error

Request URL: commonswiki /rpc/RunSingleJob.php
Request ID: 229a1aa6317fc8bec2b9bc6a

message
[{exception_id}] {exception_url}   PHP Fatal Error from line 21 of /srv/mediawiki/php-1.34.0-wmf.14/extensions/CirrusSearch/includes/ElasticaErrorHandler.php: Object of class Elastica\Response could not be converted to string
trace
 	#0 /srv/mediawiki/php-1.34.0-wmf.14/includes/exception/MWExceptionHandler.php(222): MWExceptionHandler::handleFatalError(integer, string, string, integer, array)
#1 /srv/mediawiki/php-1.34.0-wmf.14/extensions/CirrusSearch/includes/ElasticaErrorHandler.php(21): MWExceptionHandler::handleError(integer, string, string, integer, array)
#2 /srv/mediawiki/php-1.34.0-wmf.14/extensions/CirrusSearch/includes/BuildDocument/RedirectsAndIncomingLinks.php(176): CirrusSearch\ElasticaErrorHandler::logRequestResponse(CirrusSearch\Connection, string, array)
#3 /srv/mediawiki/php-1.34.0-wmf.14/extensions/CirrusSearch/includes/BuildDocument/RedirectsAndIncomingLinks.php(96): CirrusSearch\BuildDocument\RedirectsAndIncomingLinks->realFinishBatch(array)
#4 /srv/mediawiki/php-1.34.0-wmf.14/includes/Hooks.php(174): CirrusSearch\BuildDocument\RedirectsAndIncomingLinks::finishBatch(array)
#5 /srv/mediawiki/php-1.34.0-wmf.14/includes/Hooks.php(202): Hooks::callHook(string, array, array, NULL)
#6 /srv/mediawiki/php-1.34.0-wmf.14/extensions/CirrusSearch/includes/Updater.php(475): Hooks::run(string, array)
#7 /srv/mediawiki/php-1.34.0-wmf.14/extensions/CirrusSearch/includes/Updater.php(236): CirrusSearch\Updater->buildDocumentsForPages(array, integer)
#8 /srv/mediawiki/php-1.34.0-wmf.14/extensions/CirrusSearch/includes/Updater.php(523): CirrusSearch\Updater->updatePages(array, integer)
#9 /srv/mediawiki/php-1.34.0-wmf.14/extensions/CirrusSearch/includes/Job/IncomingLinkCount.php(38): CirrusSearch\Updater->updateLinkedArticles(array)
#10 /srv/mediawiki/php-1.34.0-wmf.14/extensions/CirrusSearch/includes/Job/JobTraits.php(137): CirrusSearch\Job\IncomingLinkCount->doJob()
#11 /srv/mediawiki/php-1.34.0-wmf.14/extensions/EventBus/includes/JobExecutor.php(64): CirrusSearch\Job\CirrusTitleJob->run()
#12 /srv/mediawiki/rpc/RunSingleJob.php(76): JobExecutor->execute(array)
#13 {main}

Impact

TBD

Notes

Please tell me if this isn't a train blocker. Thank you.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 17 2019, 2:34 PM
LarsWirzenius triaged this task as Unbreak Now! priority.Jul 17 2019, 2:35 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJul 17 2019, 2:35 PM

Change 523939 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Log response data JSON on errors

https://gerrit.wikimedia.org/r/523939

Restricted Application added a project: Discovery-Search. · View Herald TranscriptJul 17 2019, 3:09 PM

Change 523965 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@wmf/1.34.0-wmf.14] Log response data JSON on errors

https://gerrit.wikimedia.org/r/523965

Change 523939 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Log response data JSON on errors

https://gerrit.wikimedia.org/r/523939

Change 523965 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@wmf/1.34.0-wmf.14] Log response data JSON on errors

https://gerrit.wikimedia.org/r/523965

Mentioned in SAL (#wikimedia-operations) [2019-07-17T16:54:22Z] <dcausse@deploy1001> Synchronized php-1.34.0-wmf.14/extensions/CirrusSearch/includes/ElasticaErrorHandler.php: T228283: Log response data JSON on errors (duration: 00m 55s)

dcausse closed this task as Resolved.Jul 17 2019, 4:57 PM
dcausse claimed this task.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:05 PM